Get the market summary around a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/market \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/market', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/market"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"city": "<string>",
"district": "<string>",
"price": {
"year": 0,
"city_median_m2": 123,
"district_median_m2": 123,
"change_pct": 123
},
"rent": {
"year": 0,
"apartment_m2": 123
},
"population": {
"year": 0,
"total": 123,
"managers_pct": 123
},
"income": {
"year": 0,
"median_disposable": 123,
"poverty_rate_pct": 123,
"level": "district"
}
},
"meta": {}
}Buildings
Get the market summary around a building
Market summary of the building’s city and district: median sale price per m² and its change (DVF), rents (ANIL), population (INSEE), income (FiLoSoFi). Full series: GET /v1/zones///market.
GET
/
v1
/
buildings
/
{id}
/
market
Get the market summary around a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/market \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/market', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/market"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"city": "<string>",
"district": "<string>",
"price": {
"year": 0,
"city_median_m2": 123,
"district_median_m2": 123,
"change_pct": 123
},
"rent": {
"year": 0,
"apartment_m2": 123
},
"population": {
"year": 0,
"total": 123,
"managers_pct": 123
},
"income": {
"year": 0,
"median_disposable": 123,
"poverty_rate_pct": 123,
"level": "district"
}
},
"meta": {}
}Authorizations
API key gab_live_… or OAuth access token gat_….
Path Parameters
BDNB building id (batiment_groupe_id). Example: "bdnb-bg-CJ69-HW8G-PTTG".
Maximum string length:
40Pattern:
^bdnb-[a-z]{2,4}-[A-Za-z0-9]{4}(-[A-Za-z0-9]{4})*$⌘I